Subject: [bug#29079] [PATCH] gnu: Add hunspell-en-US.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 07 Nov 2017 09:58:37 +0100

Hi Kei,

Kei Kebreau <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Hi Kei,
>>
>> Kei Kebreau <[email-masked]> skribis:
>>
>>> * gnu/packages/dictionaries.scm (hunspell-en-US): New variable.
>>
>> On the same day I added this one and a couple of other dictionaries:
>>
>>   https://git.savannah.gnu.org/cgit/guix.git/commit/?id=085bcca313c3827f7c56e7c345d4606588db9085
>>
>> The package I committed builds the Hunspell list “from source”.
>>
>> Let me know whether we should adjust things and what you think of it.
>>
>> Thanks!
>>
>> Ludo’.
>
> I definitely like the generality and flexibility of this patch
> better. To get the dictionary to work in LibreOffice I had to install
> the .dic file as well [0], but once I did that everything seemed to work
> as expected.
>
> [0]:
>   (mkdir-p myspell)
> + (install-file ,(string-append "speller/" language ".dic")
> +               hunspell)
>   (install-file ,(string-append "speller/" language ".aff")
>                 hunspell)

Nice (I thought Hunspell used exclusively the .aff files.)
OK for this patch!

The hunspell-dict-fr* packages include both .aff and .dic, so that
should be fine.

Thanks,
Ludo’.